namespace RadialMenuLogin
{
   using System;
   using System.Collections.Generic;
   using Caliburn.Micro;
   using System.ComponentModel.Composition.Hosting;
   using System.ComponentModel.Composition;
   using System.Windows;
   using System.Linq;
   using System.Text;
   using System.Threading.Tasks;


   public class AppBootstrapper : BootstrapperBase {
        //SimpleContainer container;

        public AppBootstrapper() {
            Initialize();
            
      }

      private CompositionContainer container;

      protected override void Configure() {
         var catalog = new AggregateCatalog();

         //Adds all the parts found in the same assembly as the Program class  
         catalog.Catalogs.Add(new AssemblyCatalog(typeof(AppBootstrapper).Assembly));

         //Create the CompositionContainer with the parts in the catalog  
         container = new CompositionContainer(catalog);

         var batch = new CompositionBatch();
         batch.AddExportedValue<IWindowManager>(new WindowManager());
         batch.AddExportedValue<IEventAggregator>(new EventAggregator());
         batch.AddExportedValue(container);

         container.Compose(batch);
         //container = new SimpleContainer();

         //container.Singleton<IWindowManager, WindowManager>();
         //container.Singleton<IEventAggregator, EventAggregator>();
         //container.PerRequest<IShell, ShellViewModel>();
      }

        protected override object GetInstance(Type service, string key) {
         string contract = string.IsNullOrEmpty(key) ? AttributedModelServices.GetContractName(service) : key;
         var exports = container.GetExportedValues<object>(contract);

         if (exports.Any())
            return exports.First();

         throw new Exception(string.Format("Could not locate any instances of contract {0}.", contract));
         //return container.GetInstance(service, key);
      }

        protected override IEnumerable<object> GetAllInstances(Type service) {
         //return container.GetAllInstances(service);
         return container.GetExportedValues<object>(AttributedModelServices.GetContractName(service));

      }

      protected override void BuildUp(object instance) {
         //container.BuildUp(instance);
         container.SatisfyImportsOnce(instance);
        }

        protected override void OnStartup(object sender, System.Windows.StartupEventArgs e) {
            DisplayRootViewFor<ShellViewModel>();
        }
    }
}