﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using Canyonix.UI.Windows;
using Caliburn.Micro;
using System.ComponentModel.Composition;
using System.Collections.ObjectModel;
using Syncfusion.Windows.Tools.Controls;
using System.Windows.Controls;
using Syncfusion.UI.Xaml.Grid;
using System.Data;
using System.Windows.Input;
using System.Diagnostics;
using System.ComponentModel;
using System.IO;
using System.Windows.Media;
using Syncfusion.Windows.Controls.Navigation;

namespace RadialMenuLogin
{
   [Export(typeof(RadialMenuViewModel))]
   class RadialMenuViewModel: PropertyChangedBase, INotifyPropertyChanged
   {
      private readonly IEventAggregator _events;
      public bool _enableitems;
      public bool _openring;
      public bool _loginvisible;
      [ImportingConstructor]
      public RadialMenuViewModel(IEventAggregator eventaggr)
      {
         _events = eventaggr;
         _openring = true;
         _ringvisible = true;
         _enableitems = false;
         _loginvisible = false;

      }
      public bool _ringvisible;
      public bool RingVisible
      {
         get
         {
            return _ringvisible;
         }
         set
         {
            _ringvisible = value;
            openRing = true;
            NotifyOfPropertyChange(() => RingVisible);
            NotifyOfPropertyChange(() => openRing);
         }
      }
      public bool openRing
      {
         get
         {
            return _openring;
         }set
         {
            _openring = value;
            NotifyOfPropertyChange(() => openRing);
         }
      }
      public bool LoginVisible
      {
         get
         {
            return _loginvisible;
         }
         set
         {
            _loginvisible = value;
            NotifyOfPropertyChange(() => LoginVisible);
         }
      }
     
      public bool EnableItems
      {
         get
         {
            return _enableitems;
         }
         set
         {
            _enableitems = value;

            NotifyOfPropertyChange(() => EnableItems);
         }
      }
    


      public void RingClosed()
      {
         RingVisible = false;
         LoginVisible = true;
         Debug.WriteLine("Closed Ring");
      }
      public void Login(SfRadialMenu selectionmenu)
      {
         openRing = true;
         selectionmenu.IsOpen = true;
         EnableItems = true;
         RingVisible = true;    
         LoginVisible = false;
         Debug.WriteLine("Logged In");
      }
   }
}
