using Caliburn.Micro;
using Canyonix.UI.Windows;
using System.Windows;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;
using System.ComponentModel.Composition;
using System.Diagnostics;

namespace RadialMenuLogin {
   [Export(typeof(ShellViewModel))]
   class ShellViewModel : PropertyChangedBase, INotifyPropertyChanged
   {
      private readonly IWindowManager _windowManager;
      private readonly IEventAggregator _events;

      [ImportingConstructor]
      public ShellViewModel(IWindowManager windowManager, RadialMenuViewModel wheel, IEventAggregator eventaggr)
      {
         _windowManager = windowManager;
         _events = eventaggr;
         _events.Subscribe(this);
         Wheel = wheel;
      }
      public RadialMenuViewModel Wheel { get; private set; }
      public event PropertyChangedEventHandler PropertyChanged;

      public void OnPropertyChanged(string name)
      {
         if (PropertyChanged != null)
         {
            PropertyChanged(this, new PropertyChangedEventArgs(name));
         }
      }

    
   }
}